<?php

/***** Fetch Theme Data *****/

$mh_magazine_lite_data = wp_get_theme('mh-magazine-lite');
$mh_magazine_lite_version = $mh_magazine_lite_data['Version'];
$mh_femininemag_data = wp_get_theme('mh-femininemag');
$mh_femininemag_version = $mh_femininemag_data['Version'];

/***** Load Google Fonts *****/

function mh_femininemag_fonts() {
	wp_dequeue_style('mh-google-fonts');
	wp_enqueue_style('mh-femininemag-fonts', 'https://fonts.googleapis.com/css?family=Raleway:300,400,400italic,600,700%7cPoly:400,400italic', array(), null);
}
add_action('wp_enqueue_scripts', 'mh_femininemag_fonts', 11);

/***** Load Stylesheets *****/

function mh_femininemag_styles() {
	global $mh_magazine_lite_version, $mh_femininemag_version;
    wp_enqueue_style('mh-magazine-lite', get_template_directory_uri() . '/style.css', array(), $mh_magazine_lite_version);
    wp_enqueue_style('mh-femininemag', get_stylesheet_uri(), array('mh-magazine-lite'), $mh_femininemag_version);
    if (is_rtl()) {
		wp_enqueue_style('mh-magazine-lite-rtl', get_template_directory_uri() . '/rtl.css', array(), $mh_magazine_lite_version);
	}
}
add_action('wp_enqueue_scripts', 'mh_femininemag_styles');

/***** Load Translations *****/

function mh_femininemag_theme_setup(){
	load_child_theme_textdomain('mh-femininemag', get_stylesheet_directory() . '/languages');
}
add_action('after_setup_theme', 'mh_femininemag_theme_setup');

/***** Change Defaults for Custom Colors *****/

function mh_femininemag_custom_colors() {
	remove_theme_support('custom-header');
	remove_theme_support('custom-background');
	add_theme_support('custom-header', array('default-image' => '', 'default-text-color' => '5b4747', 'width' => 300, 'height' => 100, 'flex-width' => true, 'flex-height' => true));
	add_theme_support('custom-background', array('default-color' => 'f9efef'));
}
add_action('after_setup_theme', 'mh_femininemag_custom_colors');

?>